# PinePhoneBoy Operating System

Linux UI customized to resemble a Fallout Pip-Boy. To be used with the PINE64 PinePhone running Arch Linux ARM, enclosed in the PinePhoneBoy harness.

## Screenshots
### Radio tab
![Radio](screenshots/radio.jpg)

## Components
 - sway: Window Manager
 - waybar: Side panel
 - termite: Terminal emulator
 - mako: Notifications daemon
 - mpd: Music player daemon
 - xfmpc: Music player client

## Dependencies
 - [Sway on PinePhone](https://github.com/Dejvino/pinephone-sway-poc)
 - [feather icons](https://github.com/feathericons/feather)

## Install
```bash
git clone --recurse-submodules https://git.dejvino.cz/dejvino/PinePhoneBoyOS

cd PinePhoneBoyOS

./convert_icons.sh

...
```

### Theme
```bash
git clone https://github.com/i-mint/midnight
mkdir -p ~/.themes
cp -R midnight/Midnight* ~/.themes/
gsettings set org.gnome.desktop.interface gtk-theme "Midnight-GreenNight"
gsettings set org.gnome.desktop.wm.preferences theme "Midnight-GreenNight"

git clone -b Abyss-Desktop-Theme-Icons-and-Folders https://github.com/rtlewis88/rtl88-Themes
cp -R rtl88-Themes/Abyss-ENVY-Suru ~/.icons/Abyss-ENVY
gsettings set org.gnome.desktop.interface icon-theme "Abyss-ENVY"
```

### Bootsplash
1. Find an image you want shown during boot (see [example](https://techgage.com/wp-content/uploads/2015/11/Fallout-4-Pip-Boy-App-Android-Logo.jpg))
2. Clone the [bootsplash package](https://github.com/dreemurrs-embedded/Pine64-Arch/tree/master/PKGBUILDS/danctnix/bootsplash-danctnix), replace the image and profit!  
    ```bash
    git clone https://github.com/dreemurrs-embedded/Pine64-Arch
    cd PKGBUILDS/danctnix/bootsplash-danctnix
    # change the sha256sum for danctnix.png to 'SKIP'
    vim PKGBUILD
    # download your image
    wget some-image-url -O bootsplash.jpg
    # rotate it to face the right way up
    convert bootspalsh.jpg -distort SRT -90 danctnix.png
    # install!
    makepkg -sif
    # reboot to see it during the next startup
    ```

## Notes
 - make sure mpd is running user-wide and not system-wide, otherwise it can't access alsa or pulseaudio (i.e. create ~/.config/mpd/mpd.conf)

